Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001574 [Piwigo] template minor have not tried 2010.04.04 12:59 2010.04.14 17:03
Reporter grum View Status public  
Assigned To grum
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.1.0RC2 Product Version 2.1.0RC2
  Target Version 2.1.0RC2 Product Build
Summary 0001574: Error message on the config panel when deactivating the display of privacy level
Description In config panel, when display of privacy level is deactivated, the following message is displayed :

Notice: Undefined index: privacy_level in /home/..../testpwgtrunk/html/_data/templates_c/w8ax7^%%F7^F7A^F7AE4BBA%%configuration.tpl.php on line 450
Steps To Reproduce
Additional Information The error message is displayed, but :
 - privacy_level is not displayed (config is updated)
 - it's possible to reactivate the display

So, the bug is not blocking
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0003687)
svn (reporter)
2010.04.04 16:18

[Subversion] r5633 by Eric on extension NBC_UserAdvManager

-----[Subversion commit log]----------------------------------------------------
[NBC_UserAdvManager]

- Bug 1571 fixed : Missing translation tag
- Bug 1572 fixed : Fix unable to read resource: "ConfirmMail.tpl"
- Bug 1574 fixed : Beautifying ConfirmMail page. Moved to a "template" folder with css file and icons.

- Bug 1576 partially fixed : Compatibility with other database systems than MySql like PostgreSql or Sqlite. Using Piwigo's pwg_db_### integrated functions. mysql_list_fields() and mysql_num_fields() are not implemented in Piwigo's database functions. This point is still under discuss on FR forum.
(0003722)
plg (manager)
2010.04.08 21:54

(I don't see your problem, even if I have the highest error_reporting possible I think)

In configuration.php, "privacy_level" is missing in the $display_info_checkboxes. Can you add it and check it solve the problem?
(0003724)
rvelices (developer)
2010.04.08 22:15

> (I don't see your problem, even if I have the highest error_reporting possible I think)
Use admin multi view and click debug template or activate config['debug_template']. Smarty overwrites error_reporting while rendering templates
(0003725)
svn (reporter)
2010.04.08 22:21

[Subversion] r5723 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
bug 1574: privacy_level option was forgotten in configuration.php.
(0003726)
Pat (developer)
2010.04.08 22:21

The problem should be solved...
(0003738)
grum (administrator)
2010.04.10 12:13

Problem is solved. I close it.
(0003739)
grum (administrator)
2010.04.10 12:14

solved with r5723

- Issue History
Date Modified Username Field Change
2010.04.04 12:59 grum New Issue
2010.04.04 12:59 grum browser => any
2010.04.04 12:59 grum Web server => Apache 1.3.x
2010.04.04 16:18 svn Checkin
2010.04.04 16:18 svn Note Added: 0003687
2010.04.08 21:54 plg Note Added: 0003722
2010.04.08 21:55 plg Assigned To => grum
2010.04.08 21:55 plg Status new => assigned
2010.04.08 21:55 plg Target Version => 2.1.0RC3
2010.04.08 22:15 rvelices Note Added: 0003724
2010.04.08 22:21 svn Checkin
2010.04.08 22:21 svn Note Added: 0003725
2010.04.08 22:21 Pat Note Added: 0003726
2010.04.10 12:13 grum Note Added: 0003738
2010.04.10 12:14 grum Note Added: 0003739
2010.04.10 12:14 grum Status assigned => resolved
2010.04.10 12:14 grum Resolution open => fixed
2010.04.14 17:03 plg Status resolved => closed
2010.04.14 17:03 plg Fixed in Version => 2.1.0RC2
2010.04.14 17:03 plg Target Version 2.1.0RC3 => 2.1.0RC2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker